@import '../../../styles/mixins';

.domain {
  padding: 2rem 0;
  &__message {
    font-size: 2.5rem;
    line-break: normal;
    text-align: center;
    margin-top: auto;
    @media screen and(max-width: 992px) {
      margin-top: 1.5rem;
    }
  }

  &__search {
    &_form {
      text-align: center;
    }
  }
  &__config {
    padding: 4rem 0 1rem;
  }

  &__container {
    padding-bottom: 10rem;
  }
  &__lookup {
    &_result {
      &_main {
        @include boxItem;
        line-break: anywhere;
        flex-direction: column;
        margin-top: 10rem;
        @media screen and(min-width: 600px) {
          flex-direction: row;
          justify-content: space-between;
        }

        &_search_status {
          @media screen and(max-width: 992px) {
            flex-direction: column;
            align-items: center;
          }
        }
      }
      &_maincontent {
        text-align: center;

        @media screen and(min-width: 600px) {
          text-align: left;
        }
      }

      &_details {
        display: flex;
        justify-content: space-between;

        @media screen and(max-width: 992px) {
          display: block;
        }
      }
      &_content {
        width: 70%;
        margin: 0 auto;
      }
      &_name {
        @media screen and(max-width: 992px) {
          text-align: center;
        }
      }

      &_status {
        @media screen and(max-width: 992px) {
          text-align: center;
          margin: 0 auto;
        }
      }
    }
  }
  &__alternatives {
    height: 55rem;
    max-height: 60rem;
    overflow-y: scroll;
    padding: 1rem 1rem 5rem 1rem;
    &::-webkit-scrollbar {
      width: 12px; /* width of the entire scrollbar */
    }
    &::-webkit-scrollbar-track {
      background: #fff; /* color of the tracking area */
    }
    &::-webkit-scrollbar-thumb {
      background-color: #56565b; /* color of the scroll thumb */
      border-radius: 20px; /* roundness of the scroll thumb */
      border: 3px solid #56565b; /* creates padding around scroll thumb */
    }

    &_item {
      @include boxItem;
      margin-bottom: 2rem;
      line-break: anywhere;
      display: flex;
      justify-content: space-between;
      position: relative;

      &_name {
        @media screen and(max-width: 992px) {
          width: 70%;
        }
      }
    }
  }
  &__category {
    position: absolute;
    top: 0;
    left: 2rem;
    padding: 0 1rem;
    background-color: #20bfdd;
    font-size: 1.2rem;
    color: #fff;
  }
}

.header {
  &__timeline {
    margin-top: 1rem;

    &_item {
      background-color: #ccc;
      margin-right: 0.5rem;
      padding: 0.5rem 1rem;
      border-radius: 5rem;
      font-size: 1rem;
    }
    &_attended {
      background-color: #dd206f;
      color: #fff;
    }
  }
}
